Prediction For Migration Group

Prediction For Migration Group
Prediction For Mobility Group
  1. Request body will be the Mobility Group Id.
  2. Prediction will only happen for Mobility Groups that haven't started
Request
URI
POST
https://{server}/hybridity/api/mobility/groups/{migrationGroupId}/prediction
COPY
Path Parameters
string
migrationGroupId
Required

Migration Group ID


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns migrationsPredictionPostResponse of type(s) application/json
{
    "predictionId": "string",
    "migrationGroupId": "string",
    "errors": [
        {
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    ]
}
string
predictionId
Optional

predictionId

string
migrationGroupId
Optional

migrationGroupId

array of object
errors
Optional

errors


400

Bad Request

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/hybridity/api/mobility/groups/{migrationGroupId}/prediction